Bug 486657 - Review Request: blahtexml - Converts TeX equations to MathML
Review Request: blahtexml - Converts TeX equations to MathML
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jon Levell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-20 16:04 EST by Jasper Capel
Modified: 2009-03-23 11:57 EDT (History)
6 users (show)

See Also:
Fixed In Version: 0.6-4.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-10 15:22:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jasper Capel 2009-02-20 16:04:50 EST
Spec URL: http://bender.newnewyork.nl/review/blahtexml.spec
SRPM URL: http://bender.newnewyork.nl/review/blahtexml-0.6-1.fc11.src.rpm
Description: 
Blahtex is a program written in C++, which converts an equation given in a syntax close to TeX into MathML. It is designed by David Harvey and is aimed at supporting equations in MediaWiki.
Blahtexml is a simple extension of blahtex. In addition to the functionality of blahtex, blahtexml has XML processing in mind and is able to process a whole XMLdocument into another XML document. Instead of converting only one formula at a time, blahtexml can convert all the formulas of the given XML file into MathML.

This is my first package, and I'm now looking for a sponsor.
Thanks for any comments you may have. :)
Comment 1 Jeroen van Meeuwen 2009-02-23 07:27:28 EST
First stab at this package:

1) On BuildRequires:

You only need to require xerces-c-devel (this package requires the non-devel main package as per the guidelines for -devel sub-packages). Minor issue, no showstopper.

2) rpmlint:

$ rpmlint /home/jmeeuwen/rpmbuild/RPMS/x86_64/blahtexml-0.6-1.fc10.x86_64.rpm
blahtexml.x86_64: E: description-line-too-long Blahtex is a program written in C++, which converts an equation given in a syntax close to TeX into MathML. It is designed by David Harvey and is aimed at supporting equations in MediaWiki.
blahtexml.x86_64: E: description-line-too-long Blahtexml is a simple extension of blahtex. In addition to the functionality of blahtex, blahtexml has XML processing in mind and is able to process a whole XML document into another XML document. Instead of converting only one formula at a time, blahtexml can convert all the formulas of the given XML file into MathML.
1 packages and 0 specfiles checked; 2 errors, 0 warnings.

Easily fixed, of course ;-)

3) Source0:

Source0 should be the URL to the upstream tarball.
Comment 2 Jasper Capel 2009-02-23 08:02:54 EST
Thanks. I have modified the files.
Comment 3 Jeroen van Meeuwen 2009-02-23 08:35:45 EST
Whenever you do, please;

- bump the release number in the .spec (and add/modify changelog entry/entries)
- rebuild the source rpm with the new spec
- upload
- link the new spec file
- link the new srpm file
Comment 5 Jon Levell 2009-02-24 16:46:54 EST
Informal review:

Looks good to me, the only quibble I would have is the make command does not use flags to enable parallel make and there are enough source parts to warrant using it.

http://fedoraproject.org/wiki/Packaging/Guidelines#Parallel_make

i.e. change 
make blahtexml-linux
to 
make %{?_smp_mflags} blahtexml-linux

which is faster on my system
Comment 7 Michael Schwendt 2009-02-25 04:19:44 EST
* When using "install" (or "cp") to install unmodified files yourself, prefer option "-p" to preserve timestamps. This is considered helpful by users, who want to recognise the age of files (e.g. ancient documentation). Otherwise it shouldn't be overrated. ;)


* Our global compiler flags are not used:
https://fedoraproject.org/wiki/Packaging:Guidelines#Compiler_flags


* Please drop "Requires: xerces-c" in favour of rpmbuild's automatic dependency on the "libxerces-c.so.28" SONAME.
Comment 8 Jasper Capel 2009-02-25 05:04:55 EST
Thanks, all done:
specfile: http://bender.newnewyork.nl/review/blahtexml.spec
source-rpm: http://bender.newnewyork.nl/review/blahtexml-0.6-4.fc11.src.rpm
Comment 9 Jon Levell 2009-02-26 17:37:29 EST
OK... the changes look good. I'll approve the package. 

I see that you need a sponsor. I've only just been sponsored myself but if you carry out a couple of package reviews:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
(or submit other packages for review)
and link to them here then I'll sponsor you.

(Michael who sponsored me is still cc'd to this bug so I suspect/hope he'll keep an eye out that I don't make any huge blunders)
Comment 10 Michael Schwendt 2009-02-27 03:55:31 EST
You would need to become a sponsor first:
https://fedoraproject.org/wiki/PackageMaintainers/SponsorProcess
I'll look at "gvrpcd" and sponsor Jasper...
Comment 11 Jasper Capel 2009-03-03 14:12:09 EST
Thanks! :)
I applied to the packager group in FAS (account name: jasper).
Comment 12 Jasper Capel 2009-03-05 17:02:23 EST
New Package CVS Request
=======================
Package Name: blahtexml
Short Description: Converts TeX equations to MathML
Owners: jasper
Branches: EL-5 F-9 F-10
InitialCC:
Comment 13 Kevin Fenzi 2009-03-07 12:31:00 EST
cvs done.
Comment 14 Fedora Update System 2009-03-10 15:25:58 EDT
blahtexml-0.6-4.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/blahtexml-0.6-4.fc9
Comment 15 Fedora Update System 2009-03-10 15:26:06 EDT
blahtexml-0.6-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/blahtexml-0.6-4.fc10
Comment 16 Fedora Update System 2009-03-23 11:55:46 EDT
blahtexml-0.6-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2009-03-23 11:57:15 EDT
blahtexml-0.6-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.